cordova.define("com.mysoft.mimagebrowser.MImageBrowser", function(require, exports, module) {

  var exec = require('cordova/exec');
  
  function MImageBrowser(){
        // onOpen 1
        // onDownloadImage 2
        // onError 3
        // onClose 4

        this.callback = null;

        var self = this;
        this.success = function(result) {
        var code = result[0];
          switch (code) {
          case 1: {
            if (self.callback != null
                && self.callback.onOpen != undefined
                && self.callback.onOpen != null) {
              self.callback.onOpen();
            }
          }
            break;
          case 2: {
            if (self.callback != null
                && self.callback.onDownloadImage != undefined
                && self.callback.onDownloadImage != null) {
              var info = result[1];
              self.callback.onDownloadImage(info);
            }
          }
            break;
          case 3: {
            if (self.callback != null
                && self.callback.onError != undefined
                && self.callback.onError != null) {
                var error = result[1];
              self.callback.onError(error);
            }
          }
            break;
          case 4: {
            if (self.callback != null
                && self.callback.onClose != undefined
                && self.callback.onClose != null) {
              self.callback.onClose();
            }
          }
            break;
          default:
            break;
          }

        };
  }

  // 打开
  MImageBrowser.prototype.open = function(imgUrls,selectIndex,success,fail) {
    exec(success, fail, "MImageBrowser", "open", [imgUrls,selectIndex]);
  };

  // 带回调打开
  MImageBrowser.prototype.openWithCallback = function(imgUrls,selectedIndex,callback) {
    this.callback = callback;
    var self = this;
    var error = function(obj) {
        self.success([3, obj]);
    };
    exec(this.success, error, "MImageBrowser", "openWithCallback",[imgUrls,selectedIndex]);
  };

  var me = new MImageBrowser();
  module.exports = me; 


});
